imap-sample
-----------
connect to Gmail IMAP server and fetches the messages of INBOX to a folder "download"

syntax: imap-sample mygmailaccount@gmail.com mypassword


mime-parse
----------
parse a MIME message and show the structure

syntax: mime-parse emailfile.eml


mime-create
-----------
create a message and show the resulting RFC 2822 format

syntax: mime-create


compose-msg
-----------

creates a RFC 2822 message with MIME parts

syntax: compose-msg "text" filename



all the following programs will take as argument :

  --driver=(pop3|imap|nntp|mbox|mh)  -d pop3 (pop3|imap|nntp|mbox|mh)

  default driver is mbox

  --server={server-name} -s {server-name}
  --port={port-number}   -p {port-number}
  --tls                  -t
  --starttls             -x
  --user={login}         -u {login}
  --password={password}  -v {password}
  --path={mailbox}       -l {mailbox}
  --apop                 -a
  --cache={directory}    -c {directory}

the default driver is mbox with the path /var/mail/$USER

frm-simple, frm, frm-tree
-------------------------

frm-simple will list all the mails of a mailbox without any MIME decoding.

frm will list all the mails of a mailbox and will decode the fields.

frm-tree will do the same thing as frm and will also show the threads
  of the folder.


fetch-attachment
----------------

  fetch-attachment gets all the named attachment of the given message
of the chosen mailbox and writes them on the current directory.

  The program should be given message numbers (as given by frm) as
additionnal arguments.


readmsg-simple, readmsg
-----------------------

  readmsg-simple will display the content of the given messages.
All the content (headers and body) will be displayed.

  readmsg will display only the text parts of the given messages.

  The program should be given message numbers (as given by frm) as
additionnal arguments.
